package com.example.PersonalCenter;

import android.util.Log;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.ProtocolException;
import java.net.URL;

public class SearchServiceGet {
    public static String executeSearchGet(String sickname,String address){
        HttpURLConnection connection = null;
        InputStream in = null;

        String Url = "http://106.54.210.208:8080/ChineseM"+address;
        String path = Url + "?sickname="+sickname;
        URL url = null;
        try {
            url = new URL(path);
            connection = (HttpURLConnection)url.openConnection();
            connection.setRequestMethod("GET");
            connection.setConnectTimeout(100000);//建立连接超时
            connection.setReadTimeout(80000);//传输数据超时
            in = connection.getInputStream();

            BufferedReader reader = null;//输入流
            String line = "";//读取返回的每一行
            StringBuilder response = new StringBuilder();
            try {
                reader = new BufferedReader(new InputStreamReader(in));
                while((line = reader.readLine()) != null) {
                    response.append(line);
                }
                //这时候response就是一个连续字符串了吧
                Log.i("response+++++",response+"返回值");
                return response.toString();
                //

            } catch (IOException e) {
                e.printStackTrace();
            }finally {
                if(reader!=null){
                    try {
                        reader.close();
                    } catch (IOException e) {
                        e.printStackTrace();
                    }
                }
            }
        } catch (MalformedURLException e) {
            e.printStackTrace();
        } catch (ProtocolException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return "";
    }
}
